diff --git a/source/NVDAObjects/window/winword.py b/source/NVDAObjects/window/winword.py
index 17880dd..0255d86 100755
--- a/source/NVDAObjects/window/winword.py
+++ b/source/NVDAObjects/window/winword.py
@@ -416,6 +416,14 @@ class WordDocument(EditableTextWithoutAutoSelectDetection, Window):
 		if info._rangeObj.tables.count>0:
 			info.expand(textInfos.UNIT_LINE)
 			speech.speakTextInfo(info,reason=controlTypes.REASON_CARET)
+			formatConfig=config.conf['documentFormatting'].copy()
+			commandList=info.getTextWithFields(formatConfig)
+			rowCount=commandList[1].field.get('table-rowcount',1)
+			columnCount=commandList[1].field.get('table-columncount',1)
+			rowNumber=commandList[2].field.get('table-rownumber',1)
+			columnNumber=commandList[2].field.get('table-columnnumber',1)
+			if rowNumber==rowCount and columnNumber==columnCount:
+				speech.speakText("Last Cell of Table")
 
 	def _moveInTable(self,row=True,forward=True):
 		info=self.makeTextInfo(textInfos.POSITION_CARET)
@@ -464,6 +472,8 @@ class WordDocument(EditableTextWithoutAutoSelectDetection, Window):
 		speech.speakTextInfo(newInfo,reason=controlTypes.REASON_CARET)
 		newInfo.collapse()
 		newInfo.updateCaret()
+		if rowNumber==rowCount and columnNumber==columnCount:
+			speech.speakText("Last Cell of Table")
 		return True
 
 	def script_nextRow(self,gesture):
